<?php

/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */


if (!class_exists('PhotoSpotViewerHostpadTopDisplay')) {
	class PhotoSpotViewerHostpadTopDisplay extends PhotoSpotViewerDisplay {

		function init() {
			return '';
		}

		function render($ds) {
			$show_title = $this->params->get('show_title', false);
			$show_description = $this->params->get('show_description', false);
			
			echo
'<div id="mod_hostpad_top" class="mod_hostpad_top">
	<div style="display:none">
		<img id="mod_hostpad_top_btn_previous" src="plugins/photospot_viewers/bt_hostpad_top/images/btn_previous.png" alt="">
		<img id="mod_hostpad_top_btn_next" src="plugins/photospot_viewers/bt_hostpad_top/images/btn_next.png" alt="">
	</div>

	<div id="mod_hostpad_top_container" class="mod_hostpad_top_container">
';

			$idx = -1;
			foreach ($ds->items as $item) {
				$idx++;

				$image = '<img src="' . $item->img_url . '" alt="" class="mod_hostpad_top_img" />';

				if (!empty($item->link)) {
					$image = '<a href="' . $item->link . '">' . $image . '</a>';
				}

				echo
'		<div id="mod_hostpad_top_panel_' . $idx . '" class="mod_hostpad_top_panel_wrap"><div class="mod_hostpad_top_panel">
				' . $image . '
';

				if ($show_title && !empty($item->title)) {
					echo
'				<h3>' . htmlspecialchars($item->title) . '</h3>
';
				}

				if ($show_description && !empty($item->description)) {
					echo
'				' . htmlspecialchars($item->description) . '
';
				}

				echo
'		</div></div>
';
			}

			echo
'	</div>
</div>
';

			$document =& JFactory::getDocument();
			$document->addScript('plugins/photospot_viewers/bt_hostpad_top/js/mod_hostpad_top.js');
			$document->addStyleSheet('plugins/photospot_viewers/bt_hostpad_top/css/mod_hostpad_top.css');
			$document->addScriptDeclaration('document.mod_hostpad_top_idle_timeout = ' . intval($this->params->get('idle_timeout', 5)) . ';');
			$document->addScriptDeclaration('document.mod_hostpad_top_conf = { fadein_speed: ' . intval($this->params->get('fadein_speed', 5)) . ', fit_speed: ' . intval($this->params->get('fit_speed', 3)) . ', len: ' . count($ds->items) . ' };');
		}

	}
}

$engine = new PhotoSpotViewerHostpadTopDisplay();

?>