
/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */


function Mod_HostpadTop(params) {
	this.interval = 20;
	this.fadein_speed = params.fadein_speed;
	this.fit_speed = params.fit_speed;
	this.len = params.len;

	if (this.fit_speed > 100) {
		this.fit_speed = 15;
	}
	
	this.panel_host_wdg = document.getElementById("mod_hostpad_top_container");
	
	this.btn_host = document.getElementById("r2_tl");
	this.btn_previous = document.getElementById("mod_hostpad_top_btn_previous");
	this.btn_next = document.getElementById("mod_hostpad_top_btn_next");

	if (this.btn_host && this.btn_previous && this.btn_next) {
		this.btn_host.appendChild(this.btn_previous);
		this.btn_previous.onclick = function () { document.mod_hostpad_top_inst.change(-1); }
		
		this.btn_host.appendChild(this.btn_next);
		this.btn_next.onclick = function () { document.mod_hostpad_top_inst.change(1); }
	}
	
	this.cur_wdg = null;
	this.idx = 0;
	this.progress = 0;
	this.state = 1; // 1 = show, 2 = fade in, 3 = fit
	
	this.change(1);
}

Mod_HostpadTop.prototype.change = function (direction) {
	if (this.len > 0) {
		document.mod_hostpad_top_last_movement = (new Date).getTime();

		document.getElementById("mod_hostpad_top_panel_" + this.idx).style.display = "none";
		
		this.idx += direction;
		if (this.idx < 0) {
			this.idx = this.len + this.idx;
		}
		else if (this.idx >= this.len) {
			this.idx = 0;
		}
		
		this.cur_wdg = document.getElementById("mod_hostpad_top_panel_" + this.idx);
		this.cur_wdg.style.display = "block";
		this.state = 2;
		this.progress = 0;
		this.h_timer();
	}
}

Mod_HostpadTop.prototype.h_timer = function () {
	if (this.state == 2) {
		this.progress += this.fadein_speed;
		if (this.progress >= 100) {
			this.state = 3;
		}

		this.cur_wdg.style.opacity = this.progress / 100;
		this.cur_wdg.style.filter = "alpha(opacity=" + Math.round(this.progress) + ")";
	}
	else if (this.state == 3) {
		var diff = this.cur_wdg.offsetHeight - this.panel_host_wdg.offsetHeight;
		if (diff > 0) {
			diff = Math.round(diff * this.fit_speed / 100);
			if (diff < 1) {
				diff = 1;
			}
			
			var val = this.panel_host_wdg.offsetHeight + diff;
			if (val >= this.cur_wdg.offsetHeight) {
				val = this.cur_wdg.offsetHeight;
				this.state = 1;
			}
			this.panel_host_wdg.style.height = val + "px";
		}
		else if (diff < 0) {
			diff = Math.round(-diff * this.fit_speed / 100);
			if (diff < 1) {
				diff = 1;
			}

			var val = this.panel_host_wdg.offsetHeight - diff;
			if (val <= this.cur_wdg.offsetHeight) {
				val = this.cur_wdg.offsetHeight;
				this.state = 1;
			}
			this.panel_host_wdg.style.height = val + "px";
		}
		else {
			this.state = 1;
		}
	}
	
	if (this.state == 2 || this.state == 3) {
		setTimeout("document.mod_hostpad_top_inst.h_timer();", this.interval);
	}
}


function mod_hostpad_top_h_mousemove() {
	document.mod_hostpad_top_last_movement = (new Date).getTime();
}

function mod_hostpad_top_idle_timer() {
	if (document.mod_hostpad_top_idle_timeout && ((new Date).getTime() - document.mod_hostpad_top_last_movement) / 1000 > document.mod_hostpad_top_idle_timeout) {
		document.mod_hostpad_top_last_movement = (new Date).getTime();
		document.mod_hostpad_top_inst.change(1);
	}
}

function mod_hostpad_top_init() {
	document.mod_hostpad_top_inst = new Mod_HostpadTop(document.mod_hostpad_top_conf);
	if (document.mod_hostpad_top_idle_timeout && document.mod_hostpad_top_inst.len >= 2) {
		mod_hostpad_top_h_mousemove(null);
		setInterval("mod_hostpad_top_idle_timer()", 1000);
	}
}


if (window.addEventListener) {
	window.addEventListener("load", mod_hostpad_top_init, false);
	window.addEventListener("mousemove", mod_hostpad_top_h_mousemove, false);
}
else if (window.attachEvent) {
	window.attachEvent("onload", mod_hostpad_top_init);
	window.attachEvent("onmousemove", mod_hostpad_top_h_mousemove);
}
