<?php

/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class TplBtHostPad {

	var $width = 960;

	var $btlogo = 'on';

	var $seocp = 'off';

	var $mod_word = 'on';

	var $mainbody_custom_layout = 'default';
	var $mainbody_exceptions = false;

	function TplBtHostPad() {
		$this->__construct();
	}

	function __construct() {
		$this->document =& JFactory::getDocument();

		$this->prepare_parameters();
		$this->prepare_path();

		$this->lshow = strtolower($this->btlogo) == 'on';

		$this->seocp = $this->show_body() && strtolower($this->seocp) == 'on';

		$this->mod_word = strtolower($this->mod_word) == 'on';

		// load styles
		require(dirname(__FILE__) . '/zl_styles.php');
		$this->mstyles = $mstyles;

		$this->top14 = $this->modcount('top1') || $this->modcount('top2') || $this->modcount('top3') || $this->modcount('top4');
		$this->top58 = $this->modcount('top5') || $this->modcount('top6') || $this->modcount('top7') || $this->modcount('top8');
	}

	function str($str) {
		return JText::_($str);
	}

	function show_body() {
		// result: 0 = do not show body, 1 = show body with decoration (if applicable), 2 = show body without decoration

		static $result = null;

		if ($result === null) {
			$app = JRequest::getCmd('option');
			if ($app == 'com_nb') {
				$result = 0;
			}
			else if ($app == 'com_content') {
				$result = 2;
			}
			else if (!isset($this->mainbody_custom_layout)) {
				$result = 1;
			}
			else {
				$exception_itemids = array();
				$exception_components = array();
				foreach (explode("\n", $this->mainbody_exceptions) as $line) {
					$line = trim($line);
					if ($line != '') {
						if (ctype_digit($line)) {
							$exception_itemids[] = $line;
						}
						else {
							$exception_components[] = $line;
						}
					}
				}

				$exception = in_array(JRequest::getCmd('Itemid'), $exception_itemids) || in_array($app, $exception_components);

				if ($this->mainbody_custom_layout == 'default') {
					$result = $exception ? 1 : 2;
				}
				else {
					$result = $exception ? 2 : 1;
				}
			}
		}

		return $result;
	}

	function get_home() {
		return $this->document->baseurl;
	}

	function prepare_parameters() {
		foreach ($this->document->params->_registry[$this->document->params->_defaultNameSpace]['data'] as $k => $v) {
			if ($k == 'pos_widths') {
				$lines = explode("\n", str_replace("\r", '', $v));
				foreach ($lines as $line) {
					$e = explode(':', $line, 2);
					$k = strtolower(trim(@$e[0]));
					$v = trim(@$e[1]);
					if (preg_match('/^[a-z0-9_]+$/', $k) && ctype_digit($v)) {
						if ($k == 'mainbody') {
							$k .= '_width';
						}
						else {
							$k = 'pos_' . $k . '_width';
						}

						$this->$k = $v;
					}
				}
			}
			else {
				$this->$k = $v;
			}
		}
	}

	function prepare_path() {
		$this->path = $this->document->baseurl . '/templates/' . $this->document->template;
	}

	function modcount($position_name) {
		static $modules = array();

		if (!isset($modules[$position_name])) {
			$modules[$position_name] = $this->document->countModules($position_name);
		}

		return $modules[$position_name];
	}

	function td_width_style($position_name, $shrink = false) {
		if (is_array($position_name)) {
			$max = 0;
			foreach ($position_name as $name) {
				if ($this->modcount($name)) {
					$k = 'pos_' . $name . '_width';
					if (isset($this->$k) && intval($this->$k) > $max) {
						$max = intval($this->$k);
					}
				}
			}

			if ($max > 0) {
				return 'width:' . $max . 'px;';
			}
		}
		else {
			$k = 'pos_' . $position_name . '_width';
			if (isset($this->$k)) {
				return 'width:' . $this->$k . 'px;';
			}
		}

		if ($shrink) {
			return 'width:1%; white-space:nowrap;';
		}
		else {
			return '';
		}
	}

	function get_hidden_position($position_name) {
		$result = '';
		if ($this->modcount($position_name)) {
			$result =
'<div id="pos_' . $position_name . '" style="display:none">
	<jdoc:include type="modules" name="' . $position_name . '" style="xhtml" />
</div>';
		}

		return $result;
	}

	function get_pathway() {
		return '<jdoc:include type="modules" name="breadcrumb" />' . "\n";
	}

	function get_message() {
		return '<jdoc:include type="message" />' . "\n";
	}

	function get_mainbody_pragma() {
		$var = 'mainbody_width';
		return
'<div id="mainbody"' . (isset($this->$var) && !empty($this->$var) ? ' style="width:' . $this->$var . 'px"' : '') . '>
<jdoc:include type="component" />
</div>
';
	}

	function get_mainbody_wrapper() {
		if (!$this->show_body()) {
			return '';
		}

		$result = $this->seocp ? '<div id="mainbody_area"></div>' . "\n" : $this->get_mainbody_pragma();
		$result .= '<div class="clearfix"></div>' . "\n"; // fix for IE7
		return $result;
	}

	function get_debug() {
		return $this->get_position('debug');
	}

	function get_position($position_name, $direct = false, $clearfix = true) {
		$result = '';
		if ($direct || $this->modcount($position_name)) {
			$width = '';
			$var = 'pos_' . $position_name . '_width';
			if (isset($this->$var) && !empty($this->$var)) {
				$width = $this->$var;
			}

			$result .= sprintf(
				'<div id="pos_%1$s" class="pos_%1$s"%2$s>' . "\n",
				$position_name,
				empty($width) ? '' : ' style="width:' . $width . 'px"'
			);
			$result .= '	<jdoc:include type="modules" name="' . $position_name . '" style="zlmod" />' . "\n";
			$result .= '</div>' . "\n";

			if ($clearfix) {
				$result .= '<div class="clearfix"></div>' . "\n"; // fix for IE7
			}
		}
		return $result;
	}

	function get_positions($pos_names, $spacer = '', $spacer_down = true, $clearfix = true, $id = '', $tdgap = false, $left_gap = false, $right_gap = false) {
		$result = '';
		$positions = array();
		for ($i = 0, $len = count($pos_names); $i < $len; $i++) {
			if ($this->modcount($pos_names[$i])) {
				$positions[] = $pos_names[$i];
			}
		}

		if (empty($positions)) {
			return;
		}

		$use_table = count($positions) > 1 || $left_gap || $right_gap;

		if ($spacer != '' && !$spacer_down) {
			$result .= '<div id="' . $spacer . '"></div>' . "\n";
		}

		if ($use_table) {
			$result .= '<table ' . ($id == '' ? '' : 'id="' . $id . '" ') . 'class="ctbl100"><tr>' . "\n";
		}

		if ($tdgap === false) {
			$tdgap = $GLOBALS['main_tdgap'];
		}

		if ($left_gap) {
			$result .= $tdgap;
		}

		$first = true;
		foreach ($positions as $position_name) {
			if ($first) {
				$first = false;
			}
			else {
				$result .= $tdgap;
			}

			if ($use_table) {
				$result .= '<td style="vertical-align:top; ' . $this->td_width_style($position_name) . '">' . "\n";
			}

			$result .= $this->get_position($position_name, true, $clearfix);

			if ($use_table) {
				$result .= '</td>' . "\n";
			}
		}

		if ($right_gap) {
			$result .= $tdgap;
		}

		if ($use_table) {
			$result .= '</tr></table>' . "\n";
		}

		if ($spacer != '' && $spacer_down) {
			$result .= '<div id="' . $spacer . '"></div>' . "\n";
		}

		return $result;
	}

}


global $tpl;
$tpl = new TplBtHostPad();

?>