/**
 * Main script for the BonusThemes.com template HostPad
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */


function bt_add_event(obj, event, func) {
	if (obj.addEventListener) {
		obj.addEventListener(event, func, false);
	}
	else if (obj.attachEvent) {
		obj.attachEvent("on" + event, func);
	}
}


function BtDomainFinder_h_open(iname) {
	var info = {x: 0, y: 9, min_w: 0};

	var obj = document.getElementById(iname + "_input_panel");
	while (obj) {
		info.x += obj.offsetLeft;
		obj = obj.offsetParent;
	}

	var obj = document.getElementById("r3_bl");
	while (obj) {
		info.y += obj.offsetTop;
		obj = obj.offsetParent;
	}

	return info;
}

function BtDomainFinder_h_create_listing(tr, iname, item_name, lang_str, domain) {
	var td = document.createElement('td');
	tr.appendChild(td);
	
		var div = document.createElement('div');
		td.appendChild(div);
		div.setAttribute("id", item_name + "_icon");
		div.className = "domainfinder_icon_searching";


	var td = document.createElement('td');
	tr.appendChild(td);
	
		var div = document.createElement('div');
		td.appendChild(div);
		div.setAttribute("id", item_name + "_text");
		div.className = "domainfinder_status_searching";
		div.appendChild(document.createTextNode(lang_str.domain_searching));


	var td = document.createElement('td');
	tr.appendChild(td);
	
		var div = document.createElement('div');
		td.appendChild(div);
		div.setAttribute("id", item_name + "_domain");
		div.className = "domainfinder_domain";
		div.appendChild(document.createTextNode(domain));


	var td = document.createElement('td');
	tr.appendChild(td);
	
		var div = document.createElement('div');
		td.appendChild(div);
		div.className = "domainfinder_icon_remove";
		div.setAttribute("iname", iname);
		div.setAttribute("item_name", item_name);
		div.onclick = function () { document.mod_domainfinder_inst[this.getAttribute("iname")].remove(this.getAttribute("item_name")) };


	var td = document.createElement('td');
	tr.appendChild(td);
	
		var div_c = document.createElement('div');
		td.appendChild(div_c);
		div_c.className = "domainfinder_icon_moreinfo_c";
		div_c.setAttribute("iname", iname);
		div_c.setAttribute("item_name", item_name);
		div_c.onclick = function () { document.mod_domainfinder_inst[this.getAttribute("iname")].info(this.getAttribute("item_name")) };
	
			var div_l = document.createElement('div');
			div_c.appendChild(div_l);
			div_l.className = "domainfinder_icon_moreinfo_l";
	
				var div_r = document.createElement('div');
				div_l.appendChild(div_r);
				div_r.className = "domainfinder_icon_moreinfo_r";
	
					var div_m = document.createElement('div');
					div_r.appendChild(div_m);
					div_m.className = "domainfinder_icon_moreinfo_m";
	
						var div = document.createElement('div');
						div_m.appendChild(div);
						div.className = "btn_more_info";
						div.appendChild(document.createTextNode(lang_str.more_info));
}


function BtArticle_ReportBtn(iname, hd_wdg, cnt_wdg) {
	this.iname = iname;
	this.hd_wdg = hd_wdg;
	this.cnt_wdg = cnt_wdg;

	this.hd_wdg.setAttribute("iname", this.iname);
	this.hd_wdg.onclick = function () { document.btarticle_report_buttons[this.getAttribute("iname")].h_click(); }

	this.cnt_wdg.style.left = "0px";
	this.cnt_wdg.style.top = "0px";
	this.cnt_wdg.style.visibility = "hidden";
	this.cnt_wdg.style.display = "block";
	this.cnt_wdg_w = this.cnt_wdg.offsetWidth;
	this.cnt_wdg_h = this.cnt_wdg.offsetHeight;
	this.cnt_wdg.style.display = "none";
	this.cnt_wdg.style.visibility = "visible";

	this.state = 0;
	this.progress = 0;
	this.interval = 20;
	this.speed = 10;
	this.ani_w = 10;
	this.ani_x = 0;
}

BtArticle_ReportBtn.prototype.h_click = function () {
	if (this.state == 0) {
		this.ani_x = - this.ani_w - this.cnt_wdg_w;
		var y = Math.round((this.hd_wdg.offsetHeight / 2) - (this.cnt_wdg_h / 2)), obj = this.hd_wdg;
		while (obj) {
			this.ani_x += obj.offsetLeft;
			y += obj.offsetTop;
			obj = obj.offsetParent;
		}
		
		this.cnt_wdg.style.top = y + "px";
		
		this.state = 2;
	}
	else if (this.state == -1) {
		this.state = 2;
	}
	else {
		this.state = -1;
	}

	this.h_timer();
}

BtArticle_ReportBtn.prototype.h_timer = function () {
	if (this.state == -1) {
		this.progress -= this.speed;
		if (this.progress <= 0) {
			this.progress = 0;
			this.state = 0;
			this.cnt_wdg.style.display = "none";
		}

		this.cnt_wdg.style.opacity = this.progress / 100;
		this.cnt_wdg.style.filter = "alpha(opacity=" + Math.round(this.progress) + ")";

		this.cnt_wdg.style.left = Math.round(this.ani_x + this.ani_w * this.progress / 100) + "px";
	}
	else if (this.state == 2) {
		this.cnt_wdg.style.display = "block";
		
		this.progress += this.speed;
		if (this.progress >= 100) {
			this.progress = 100;
			this.state = 1;
		}

		this.cnt_wdg.style.opacity = this.progress / 100;
		this.cnt_wdg.style.filter = "alpha(opacity=" + Math.round(this.progress) + ")";

		this.cnt_wdg.style.left = Math.round(this.ani_x + this.ani_w * this.progress / 100) + "px";
	}
	
	if (this.state == -1 || this.state == 2) {
		setTimeout('document.btarticle_report_buttons["' + this.iname + '"].h_timer();', this.interval);
	}
}

// page initialization

function hostpad_page_init() {
	document.page_loaded = true;

	// setup report buttons for articles
	document.btarticle_report_buttons = {};
	var i = -1;
	while (true) {
		i++;
		var hd_wdg = document.getElementById("btarticle_hd_btn_" + i);
		if (!hd_wdg) {
			break;
		}
		
		var cnt_wdg = document.getElementById("btarticle_report_" + i);

		var iname = "btn" + i;
		document.btarticle_report_buttons[iname] = new BtArticle_ReportBtn(iname, hd_wdg, cnt_wdg);
	}
}

bt_add_event(window, "load", hostpad_page_init);


var goto_top_type = -1;
function goto_top() {
	if (goto_top_type > -1) {
	}
	else if (document.documentElement && document.documentElement.scrollTop) {
		goto_top_type = 1;
	}
	else if (document.body && document.body.scrollTop) {
		goto_top_type = 2;
	}

	var y = goto_top_type == 1 ? document.documentElement.scrollTop : document.body.scrollTop;
	if (y > 0) {
		y -= Math.ceil(y * 0.15);

		if (goto_top_type == 1) {
			document.documentElement.scrollTop = y;
		}
		else {
			document.body.scrollTop = y;
		}

		setTimeout("goto_top()", 50);
	}
}
