<?php

/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */

class PhotoSpotViewerHostpadTopAdmin extends PhotoSpotViewerAdmin {

	function setup() {
		$this->data_set('fadein_speed', '5');
		$this->data_set('fit_speed', '15');
		$this->data_set('show_title', '1');
		$this->data_set('show_description', '1');
		$this->data_set('idle_timeout', '5');
		$this->save();
	}

	function edit() {
		$load_data = true;

		if (JRequest::getCmd('hfrm_viewer_edit', '', 'POST') != '') {
			$load_data = false;
			$v_fadein_speed = trim($this->get('fadein_speed', '5'));
			$v_fit_speed = trim($this->get('fit_speed', '15'));
			$v_show_title = (bool) $this->get('show_title', false);
			$v_show_description = (bool) $this->get('show_description', false);
			$v_idle_timeout = trim($this->get('idle_timeout', 5));


			if ($this->page_refreshed) {
				// ignore page refreshes
			}
			else if (JRequest::getCmd('btn_cancel', '', 'POST') != '') {
				// form cancelled
				$load_data = true;
			}
			else {
				// form submitted successfully

				$error_msg = '';

				if ($v_fadein_speed == '') {
					$error_msg = JText::_('The value for the fade-in animation speed is not set');
				}
				else if (!ctype_digit($v_fadein_speed)) {
					$error_msg = JText::_('The value for the fade-in animation speed is not a valid number');
				}
				else if (intval($v_fadein_speed) < 1 || intval($v_fadein_speed) > 100) {
					$error_msg = JText::_('The value for the fade-in animation speed must be between 1 - 100');
				}
				else if ($v_fit_speed == '') {
					$error_msg = JText::_('The value for the fit animation speed is not set');
				}
				else if (!ctype_digit($v_fit_speed)) {
					$error_msg = JText::_('The value for the fit animation speed is not a valid number');
				}
				else if (intval($v_fit_speed) < 1 || intval($v_fit_speed) > 100) {
					$error_msg = JText::_('The value for the fit animation must be between 1 - 100');
				}
				else if ($v_idle_timeout == '') {
					$error_msg = JText::_('The value for the idle timeout is not set');
				}
				else if (!ctype_digit($v_idle_timeout)) {
					$error_msg = JText::_('The value for the idle timeout is not a valid number');
				}

				if ($error_msg == '') {
					$this->data_set('fadein_speed', $v_fadein_speed);
					$this->data_set('fit_speed', $v_fit_speed);
					$this->data_set('show_title', $v_show_title ? 1 : 0);
					$this->data_set('show_description', $v_show_description ? 1 : 0);
					$this->data_set('idle_timeout', $v_idle_timeout);
					$this->save();

					$mainframe = JFactory::getApplication(); //j17
					$mainframe->enqueueMessage(JText::_('Viewer updated successfully'));
				}
				else {
					JError::raiseWarning($error_msg, $error_msg);
				}
			}
		}

		if ($load_data) {
			$v_fadein_speed = $this->data_get('fadein_speed', '');
			$v_fit_speed = $this->data_get('fit_speed', '');
			$v_show_title = $this->data_get('show_title', false);
			$v_show_description = $this->data_get('show_description', false);
			$v_idle_timeout = intval($this->data_get('idle_timeout', '5'));
		}

		echo '
<form name="frm" method="post" action="index.php">
	<input type="hidden" name="hfrm_viewer_edit" value="' . microtime() . '" />
	<input type="hidden" name="option" value="' . htmlspecialchars(JRequest::getCmd('option')) . '" />
	<input type="hidden" name="task" value="' . htmlspecialchars(JRequest::getCmd('task')) . '" />
	<input type="hidden" name="id" value="' . htmlspecialchars(JRequest::getCmd('id')) . '" />

	<table cellspacing="10">
		<tr>
			<td>' . JText::_('Fade-in speed') . '</td>
			<td><input type="text" name="fadein_speed" value="' . htmlspecialchars($v_fadein_speed) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Fit speed') . '</td>
			<td><input type="text" name="fit_speed" value="' . htmlspecialchars($v_fit_speed) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Show title') . '</td>
			<td><input type="checkbox" name="show_title" value="1" ' . ($v_show_title ? ' checked="checked"' : '') . ' /></td>
		</tr>
		<tr>
			<td>' . JText::_('Show description') . '</td>
			<td><input type="checkbox" name="show_description" value="1" ' . ($v_show_description ? ' checked="checked"' : '') . ' /></td>
		</tr>
		<tr>
			<td>' . JText::_('Idle time out') . '</td>
			<td><input type="text" name="idle_timeout" value="' . htmlspecialchars($v_idle_timeout) . '" size="5" /></td>
		</tr>
	</table>

	<div>
		<input type="submit" name="btn_cancel" value="' . JText::_('Cancel') . '" />
		&nbsp; <input type="submit" name="btn_apply" value="' . JText::_('Apply') . '" />
	</div>
</form>
';
	}

}

$engine = new PhotoSpotViewerHostpadTopAdmin();

?>